globals [attractor]

breed [particles particle]

patches-own [occupied age]

particles-own [my-age]

to setup
  clear-all
  ask patches [set pcolor black set occupied false set age 0]

  ;; Centre attracteur
  let p patch 0 0
  ask p [
    set pcolor black
    set occupied true
    set age 0
  ]
  set attractor (patch-set p)
  reset-ticks
end

to go
  ;; Générer régulièrement des particules
  if count particles < 500 [
    create-particles 10 [
      setxy (random-xcor * 0.95) (random-ycor * 0.95)
      set color white
      set size 1
      set my-age 0
    ]
  ]

  ask particles [
    set my-age my-age + 1
    move
  ]
  tick
end

to move
  ;; Agrégation si proche de l’attracteur
  if any? attractor in-radius 1 [
    ask patch-here [
      set occupied true
      set age my-age
      set pcolor scale-color orange age 200 0
    ]
    set attractor (patch-set attractor patch-here)
    die
    stop
  ]

  rt random 360
  fd 1

  if abs pxcor > max-pxcor - 1 or abs pycor > max-pycor - 1 [ die ]
end
