
# Diffusion Limitée par Agrégation (DLA)

Ce projet NetLogo simule un processus de **diffusion limitée par agrégation** (DLA), un phénomène naturel dans lequel des particules effectuant un mouvement brownien s’agrègent autour d’un noyau initial.

## Contenu

- `dla.nlogo` : Modèle complet NetLogo avec interface, simulation, et documentation.
- `doc/analyse.md` : Analyse scientifique du modèle.
- `README.md` : Présentation du projet.

##  Lancement du modèle

1. Ouvrir `dla.nlogo` avec NetLogo
2. Cliquer sur **Setup** puis **Go**
3. Expérimenter avec :
   - `attractor-shape` : point / ligne / croix
   - `initial-particles` : nombre de particules
   - `particle-speed` : vitesse de déplacement

##  Fonctionnalités

- Mouvement brownien des particules
- Agrégation au contact avec la structure
- Attracteur configurable (point, ligne, croix)
- Types de particules : cuivre, argent, or
- Visualisation de l’âge des particules par couleur

##  Références

- [Wiki du cours - DLA](https://git.litislab.fr/dolivier/VieArtificielle/-/wikis/exercices/DiffusionLimiteParAggregation)
